Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.portal.jsp.taglib
Class PortletURLTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.jboss.portal.portlet.portal.jsp.taglib.PortalBodyTagSupport
                  org.jboss.portal.portlet.portal.jsp.taglib.AbstractURLTag
                      org.jboss.portal.portlet.portal.jsp.taglib.PortletURLTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class PortletURLTag

extends AbstractURLTag

Version:
  $Revision: 630 $
Author:
  Julien Viet
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.portal.portlet.portal.jsp.taglib.AbstractURLTag
`params`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`PortletURLTag()`

Method Summary
`int` | `doEndTag(PortalRenderResponse renderResponse)`
`int` | `doStartTag(PortalRenderResponse renderResponse)`
`java.lang.String` | `getMode()`
`java.lang.String` | `getWindowState()`
`void` | `setMode(java.lang.String mode)`
`void` | `setWindowState(java.lang.String windowState)`

Methods inherited from class org.jboss.portal.portlet.portal.jsp.taglib.AbstractURLTag
`doInitBody, setParam`

Methods inherited from class org.jboss.portal.portlet.portal.jsp.taglib.PortalBodyTagSupport
`doEndTag, doEndTag, doEndTag, doStartTag, doStartTag, doStartTag`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### PortletURLTag

    public PortletURLTag()

Method Detail

### getMode

    public java.lang.String getMode()

### setMode

    public void setMode(java.lang.String mode)

### getWindowState

    public java.lang.String getWindowState()

### setWindowState

    public void setWindowState(java.lang.String windowState)

### doStartTag

    public int doStartTag(PortalRenderResponse renderResponse)
                   throws javax.servlet.jsp.JspException

  Overrides:
    `doStartTag` in class `PortalBodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag(PortalRenderResponse renderResponse)
                 throws javax.servlet.jsp.JspException

  Overrides:
    `doEndTag` in class `PortalBodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.